globus_libc.h(3)

NAME
globus_libc.h - Thread-safe libc macros, function prototypes.

SYNOPSIS

#include 'globus_common_include.h'
#include 'globus_thread.h'

  Functions

char * globus_libc_join (const char **array, int count)
globus_result_t globus_libc_contact_string_to_ints (const char *contact_string, int *host, int *count, unsigned short *port)

Detailed Description

Thread-safe libc macros, function prototypes.

Function Documentation

  globus_result_t globus_libc_contact_string_to_ints (const char * contact_string, int * host, int * count, unsigned short * port)
convert a numeric contact string to an array of ints

(port is optional and may be NULL. 0 will be passed back if no port is found) host needs to have room for at least 16 ints count will be passed back. 4 for ipv4, 16 for ipv6

  char * globus_libc_join (const char ** array, int count)
create a new string from all of the strings in array

Parameters
    array an array of strings to concatenate (null entries are skipped)
    count length of array

Author

Generated automatically by Doxygen for globus_common from the source code.